Subject: Re: bug#60511: 29.0.50; treesit-ready-p should not emit warning by default

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jan 2023 20:49:02 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Yuan Fu <[email-masked]>,
>   [email-masked]
> Date: Sun, 08 Jan 2023 20:28:45 +0200
> 
> >> I think the default should be to emit a warning, like we do now.
> >
> > In that case, it would be better to rename `treesit-ready-p' to reflect
> > that it's not a predicate function.  I believe Juri suggested the name
> > `treesit-check-readiness'.
> 
> Actually, I think `treesit-check-readiness' is a worse name.

I see no reason to rename the function, so let's not argue about its
name, okay?